function [acc1, acc2, mx1, mx2, contribAt, regions] = countHough(regions, fiTab, j, rCoeff, xMax, yMax)
acLength = xMax+yMax;
acc1=zeros(1,round(rCoeff*2*(acLength))); acc2=acc1;
sigmRed = 40/rCoeff;
%hold off;

for n=1:length(regions),

   if ~(regions(n).mask),
 %          plot(regions(n).area(:,2),-regions(n).area(:,1),'.'); hold on; 
          iMin = regions(n).convex.iMin(j);
          iMax = regions(n).convex.iMax(j);
          fi = fiTab(j);
%   F = ones(1,length(R));
   
  % r = length(acc1)*0.5 + round(rCoeff*(regions(n).area(iMin,2) * cos(fi+pi/2) + regions(n).area(iMin,1) * sin(fi+pi/2)));
   r = round(length(acc1)*0.5) + rCoeff*(regions(n).area(iMin,2) * sin(fi) + regions(n).area(iMin,1) * cos(fi));
   contribAt(n,1) = r; r = round(r);
%   R = round(max(r-4*regions(n).height/sigmRed,1)):min(round(r+4*regions(n).height/sigmRed), length(acc1));   
   R = round(max(r-40/sigmRed,1)):min(round(r+40/sigmRed), length(acc1));   
%   F = diff(normcdf(R,r, regions(n).height/sigmRed)); 
   F = diff(normcdf(R,r, 40/sigmRed)); 
   if length(F)>0,
       F=[F,F(1)];
   else
       F=1;
   end;
 if ((regions(n).area(iMin,2)>1)&&(regions(n).area(iMin,2)<yMax)&&(regions(n).area(iMin,1)>1)&&(regions(n).area(iMin,1)<xMax)),
     acc1(R) = acc1(R) + F;
 end
   
  % subplot(2,1,1);   plot(acc1); pause(0.01);

%   r = length(acc2)*0.5 + round(rCoeff*(regions(n).area(iMax,2) * cos(fi+pi/2) + regions(n).area(iMax,1) * sin(fi+pi/2)));
   r = round(length(acc2)*0.5) + rCoeff*(regions(n).area(iMax,2) * sin(fi) + regions(n).area(iMax,1) * cos(fi));
   contribAt(n,2) = r;
   r=round(r);
%   R = round(max(r-4*regions(n).height/sigmRed,1)):min(round(r+4*regions(n).height/sigmRed), length(acc2));   
   R = round(max(r-40/sigmRed,1)):min(round(r+40/sigmRed), length(acc2));   
%   F = diff(normcdf(R,r, regions(n).height/sigmRed));
   F = diff(normcdf(R,r, 40/sigmRed));
   if length(F)>0,
       F=[F,F(1)];
   else
       F=1;
   end;
   if ((regions(n).area(iMax,2)>1)&&(regions(n).area(iMax,2)<yMax)&&(regions(n).area(iMax,1)>1)&&(regions(n).area(iMax,1)<xMax)),  
        acc2(R) = acc2(R) + F;
   end
   
  % subplot(2,1,2); region = regions(n).area; plot(region(iMin,2),-region(iMin,1),'o'); hold on; plot(region(:,2),-region(:,1),'.'); plot(region(iMax,2),-region(iMax,1),'o');
end
end
mx1 = max(acc1);
mx2 = max(acc2);
%plot(acc1);hold on; plot(acc2,'r'); hold off; grid; pause(0.1);