function [upSkewPoint, lowSkewPoint, vv] = findSkew( region, angle )
pointList = region.area;
[Y,I] = max( pointList(:,1) ); upPoint = pointList(I,:);
[Y,I] = min( pointList(:,1) ); lowPoint = pointList(I,:);
eps = 0.2*region.height;
upBound = []; lowBound =[];
for i=1:length(pointList)
    if distP2L(pointList(i,1), pointList(i,2), upPoint(1), upPoint(2), sin(-angle), cos(angle) ) < eps,
        upBound = [upBound ; pointList(i,:)];
    end;
    if distP2L(pointList(i,1), pointList(i,2), lowPoint(1), lowPoint(2), sin(-angle), cos(angle) ) < eps,
        lowBound = [lowBound ; pointList(i,:)];
    end;
end
%upSkewPoint=sum(upBound)/length(upBound);
%lowSkewPoint=sum(lowBound)/length(lowBound);
upSkewPoint=[max(pointList(:,1)), region.posY];
lowSkewPoint=[min(pointList(:,1)), region.posY];
if((length(lowSkewPoint)==2)&&(length(upSkewPoint)==2)&&(dist(upSkewPoint,lowSkewPoint')>0)),
    vv = [lowSkewPoint(2)-upSkewPoint(2), -lowSkewPoint(1)+upSkewPoint(1)];
else
    vv = angle + pi/2;
end
%figure; plot(upBound(:,2), 240-upBound(:,1),'bo'); hold on; plot(lowBound(:,2), 240-lowBound(:,1),'ro');plot([upSkewPoint(2),lowSkewPoint(2)],[240-upSkewPoint(1),240-lowSkewPoint(1)]); plot(pointList(:,2),240-pointList(:,1),'.');