function [imgOut, imgOutMask] = imgMap(points2, points1, imgIn, mask )
[height, width] = size(imgIn);
normHeight = floor(max(points1(:,2)))+1;
normWidth = floor(max(points1(:,1)))+1;

x = points1(:,1); y = points1(:,2);
u = points2(:,1); v = points2(:,2);
[my mx] = size(imgIn);
A = [];

for i=1:length(x),
A = [A;
     x(i) y(i) 1 0    0    0 -u(i)*x(i) -u(i)*y(i) -u(i);
     0    0    0 x(i) y(i) 1 -v(i)*x(i) -v(i)*y(i) -v(i)];
end
A = [A; ones(1,9)];
B = [zeros(8,1);1];
X=A\B;
H = vec2mat(X,3);
for i=1:4,
    t = [x(i); y(i); 1]; ta = H*t; tb(1)=ta(1)/ta(3); tb(2)=ta(2)/ta(3); tb;
end

imgOut = 255*ones(normHeight, normWidth);
imgOutMask = zeros(normHeight, normWidth);
for i=1:normHeight,
    for j=1:normWidth,
            def = H*[j;i;1];
            vec.x = floor(def(1)/def(3)); %dx = def(1)/def(3) - vec.x;
            vec.y = floor(def(2)/def(3)); %dy = def(2)/def(3) - vec.y;
            if ((vec.x>0)&&(vec.y>0)&&(vec.x<mx)&&(vec.y<my)),
                %imgOut(i,j) = ( imgIn(vec.y,vec.x)*(2-dx)*(2-dy) + imgIn(vec.y+1,vec.x)*(2-dx)*(dy) + imgIn(vec.y,vec.x+1)*(dx)*(2-dy) + imgIn(vec.y+1,vec.x+1)*(dx)*(dy) ) / 4;
                imgOut(i,j) =  imgIn(vec.y,vec.x);
            %    if ((exist('mask'))),
            %        imgOutMask(i,j) = ((mask(vec.y,vec.x)||mask(vec.y+1,vec.x)||mask(vec.y,vec.x+1)||mask(vec.y+1,vec.x+1))&&(imgOut(i,j)<60))||(mask(vec.y,vec.x)); 
            %    end
        end
    end
end
imgOut = imgOut / max( max( imgOut ) );
%imgOutMask = imgOutMask / max( max( imgOutMask ) );
